Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.actions
Class Launch.WinTarget

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.actions.Launch.WinTarget

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Enclosing class:
  Launch

    public static class Launch.WinTarget

extends PdfObjectWrapper<PdfDictionary>

Windows-specific launch parameters [PDF:1.6:8.5.3].

Nested Class Summary
`static class` | `Launch.WinTarget.OperationEnum` Operation [PDF:1.6:8.5.3].

Constructor Summary
`Launch.WinTarget(Document context, String fileName)`
`Launch.WinTarget(Document context, String fileName, Launch.WinTarget.OperationEnum operation)`
`Launch.WinTarget(Document context, String fileName, String parameterString)`

Method Summary
`Launch.WinTarget` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`String` | `getDefaultDirectory()` Gets the default directory.
`String` | `getFileName()` Gets the file name of the application to be launched or the document to be opened or printed.
`Launch.WinTarget.OperationEnum` | `getOperation()` Gets the operation to perform.
`String` | `getParameterString()` Gets the parameter string to be passed to the application.
`void` | `setDefaultDirectory(String value)`
`void` | `setFileName(String value)`
`void` | `setOperation(Launch.WinTarget.OperationEnum value)`
`void` | `setParameterString(String value)`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Launch.WinTarget

    public Launch.WinTarget(Document context,
                            String fileName)

### Launch.WinTarget

    public Launch.WinTarget(Document context,
                            String fileName,
                            Launch.WinTarget.OperationEnum operation)

### Launch.WinTarget

    public Launch.WinTarget(Document context,
                            String fileName,
                            String parameterString)

Method Detail

### clone

    public Launch.WinTarget clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getDefaultDirectory

    public String getDefaultDirectory()

  Gets the default directory.

### getFileName

    public String getFileName()

  Gets the file name of the application to be launched or the document to be opened or printed.

### getOperation

    public Launch.WinTarget.OperationEnum getOperation()

  Gets the operation to perform.

### getParameterString

    public String getParameterString()

  Gets the parameter string to be passed to the application.

### setDefaultDirectory

    public void setDefaultDirectory(String value)

  See Also:
    `getDefaultDirectory()`

### setFileName

    public void setFileName(String value)

  See Also:
    `getFileName()`

### setOperation

    public void setOperation(Launch.WinTarget.OperationEnum value)

  See Also:
    `getOperation()`

### setParameterString

    public void setParameterString(String value)

  See Also:
    `getParameterString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.